problem installing GLFW-0.4.2 with cabal on mac 10.6

Paul Draghicescu pdragy at
Mon Jan 2 03:32:13 GMT 2012

Hi, I don't know if this is the right place to post this, but I get an
"ExitFailure1" when I try to install GLFW using the latest version of
cabal-install on my Mac. I came across this problem while trying to build
Euterpea. Any help in resolving this is appreciated!

- Paul D

This is what it looks like:

$ cabal install GLFW
Resolving dependencies...
Configuring GLFW-0.4.2...
Preprocessing library GLFW-0.4.2...
Building GLFW-0.4.2...
[1 of 1] Compiling Graphics.UI.GLFW ( Graphics/UI/GLFW.hs,
dist/build/Graphics/UI/GLFW.o )
lots of warnings
warning: implicit declaration of function ‘CollapseWindow’
*** Deleting temp files:
Warning: deleting non-existent
*** Deleting temp dirs:
Deleting: /var/folders/Wv/WvfN0HEAFjSMfjQO18n5Rk+++TI/-Tmp-/ghc956_0
/usr/bin/ghc returned ExitFailure 1
World file is already up to date.
cabal: Error: some packages failed to install:
GLFW-0.4.2 failed during the building phase. The exception was:
ExitFailure 1

Info about the software I'm using:

$ ghc --version
The Glorious Glasgow Haskell Compilation System, version 7.0.4
$ cabal --version
cabal-install version 0.10.2
using version of the Cabal library
$ sw_vers
ProductName: Mac OS X
ProductVersion: 10.6.4
BuildVersion: 10F569
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the GLFW mailing list